import { ethers } from 'ethers'

// 字符串截取
export function dataSlice(data, start, end) {
  if (data) {
    return data.slice(start, end)
  }
}

// 单位转换 wei ether
export function weiForEther(data) {
  if (data) {
    return ethers.utils.formatEther(data).toString()
  }
}

// 单位转换 ether wei
export function etherForWei(data) {
  if (data) {
    const dataWei = ethers.utils.parseEther(data)
    return ethers.BigNumber.from(dataWei).toString()
  }
}

// 字符串转小写
export function strForLower(data) {
  if (data) {
    return data.toLowerCase()
  }
}

// 字符串转大写
export function strForUpper(data) {
  if (data) {
    return data.toUpperCase()
  }
}